Bug 62252 - [GTK] Use WebCore scrollbars for the DRT instead of GtkScrolledWindow
Summary: [GTK] Use WebCore scrollbars for the DRT instead of GtkScrolledWindow
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P3 Normal
Assignee: Martin Robinson
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2011-06-07 17:35 PDT by Martin Robinson
Modified: 2011-07-25 14:43 PDT (History)
2 users (show)

See Also:


Attachments
Patch (747.81 KB, patch)
2011-06-07 17:52 PDT, Martin Robinson
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2011-06-07 17:35:25 PDT
The DRT currently wraps the WebKitWebView in a GtkScrolledWindow, which causes a good deal of flakiness during testing. GtkScrolledWindow operates asynchronously, while many tests are written with the assumption that scrolling is synchronous. By using WebCore-only scrollbars on the bots we can avoid these spurious failures.
Comment 1 Martin Robinson 2011-06-07 17:35:52 PDT
I should also mention that this will allow us to share more results between WebKit1 and WebKit2.
Comment 2 Martin Robinson 2011-06-07 17:52:44 PDT
Created attachment 96345 [details]
Patch
Comment 3 Gustavo Noronha (kov) 2011-07-07 17:24:10 PDT
Comment on attachment 96345 [details]
Patch

Looks correct to me.
Comment 4 Gustavo Noronha (kov) 2011-07-07 17:24:46 PDT
Comment on attachment 96345 [details]
Patch

Looks correct to me.
Comment 5 Martin Robinson 2011-07-25 14:43:57 PDT
Committed r91707: <http://trac.webkit.org/changeset/91707>